Get Wallet Activity (Unstable)
curl --request GET \
--url https://staging.crossmint.com/api/unstable/wallets/{walletLocator}/transfers \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://staging.crossmint.com/api/unstable/wallets/{walletLocator}/transfers"
headers = {"X-API-KEY": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<x-api-key>'}};
fetch('https://staging.crossmint.com/api/unstable/wallets/{walletLocator}/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"completedAt": "2025-10-21T12:34:56.789Z",
"onChain": {
"explorerLink": "https://etherscan.io/tx/0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
"txId": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"
},
"recipient": {
"address": "0x1234567890123456789012345678901234567890",
"chain": "ethereum",
"locator": "ethereum:0x1234567890123456789012345678901234567890",
"owner": "user-123"
},
"sender": {
"address": "0x1234567890123456789012345678901234567890",
"chain": "ethereum",
"locator": "ethereum:0x1234567890123456789012345678901234567890",
"owner": "user-123"
},
"status": "succeeded",
"token": {
"amount": "18.833423432423",
"chain": "ethereum",
"contractAddress": "0x123",
"decimals": 6,
"locator": "ethereum:0x123",
"rawAmount": "18834161225104097789",
"type": "fungible"
},
"type": "wallets.transfer.in",
"transferId": "93fd7f08-0c63-4d73-808b-6268e665c964"
}
],
"nextCursor": "<string>",
"previousCursor": "<string>"
}{
"error": true,
"message": "<error message>",
"code": "DEVICE_SIGNER_NOT_SUPPORTED"
}REST
List Wallet Transfers
Retrieves activity history for the specified wallet including transactions and other relevant events. This is an unstable API that may change without notice.
API scope required: wallets.read
GET
/
unstable
/
wallets
/
{walletLocator}
/
transfers
Get Wallet Activity (Unstable)
This is an unstable API that may change without notice. The
unstable prefix indicates that breaking changes may occur in future releases.Headers
API key required for authentication
Path Parameters
A wallet locator can be of the format:
<walletAddress>email:<email>:<chainType>[:<walletType>][:alias:<alias>](walletType defaults to 'smart')userId:<userId>:<chainType>[:<walletType>][:alias:<alias>](white label user example)phoneNumber:<phoneNumber>:<chainType>[:<walletType>][:alias:<alias>]twitter:<handle>:<chainType>[:<walletType>][:alias:<alias>]x:<handle>:<chainType>[:<walletType>][:alias:<alias>]me:<chainType>[:<walletType>][:alias:<alias>](Use when calling from the client side with a client API key)chainType[:<walletType>]:alias:<alias>
Query Parameters
Available options:
asc, desc The blockchain network to query. Either an EVM chain, Solana, or Stellar.
Available options:
abstract, abstract-testnet, apechain, arbitrum, arbitrum-sepolia, arbitrumnova, arc-testnet, astar-zkevm, avalanche, avalanche-fuji, base, base-goerli, base-sepolia, bsc, bsc-testnet, chiliz, chiliz-spicy-testnet, coti, coti-testnet, crossmint-private-testnet-ethereum, crossmint-private-testnet-polygon, curtis, ethereum, ethereum-goerli, ethereum-sepolia, flow, flow-testnet, hedera, hedera-testnet, hypersonic-testnet, lightlink, lightlink-pegasus, mantle, mantle-sepolia, mode, mode-sepolia, optimism, optimism-goerli, optimism-sepolia, plume, plume-testnet, polygon, polygon-amoy, polygon-mumbai, rari, rari-testnet, robinhood-chain, robinhood-chain-testnet, scroll, scroll-sepolia, sei-atlantic-2-testnet, sei-pacific-1, shape, shape-sepolia, skale-nebula, skale-nebula-testnet, solana, soneium, soneium-minato-testnet, space, space-testnet, stellar, story, story-testnet, tempo, tempo-testnet, u2u-nebulas, u2u-solaris, verify-testnet, viction, viction-testnet, world-chain, world-chain-sepolia, xai, xai-sepolia-testnet, zenchain-testnet, zkatana, zkyoto, zora, zora-goerli, zora-sepolia The tokens to query. Comma-separated list of either tokens or token locator strings
The status of the transfers to query
Available options:
failed, successful Filter transfers from this date (inclusive). ISO 8601 format. Supported for EVM and Stellar chains.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Filter transfers until this date (inclusive). ISO 8601 format. Supported for EVM and Stellar chains.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Was this page helpful?

